ReflectionClass::getMethod
ReflectionClass::getModifiers
ReflectionClass
PHP Manual

# ReflectionClass::getMethods

(PHP 5)

ReflectionClass::getMethods — Gets a list of methods

### Description

public array ReflectionClass::getMethods ([ string `$filter` ] )

Gets a list of methods.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`filter`

  The filter.

### Return Values

An array of methods.

### See Also

- ReflectionClass::getMethod - Gets a ReflectionMethod

ReflectionClass::getMethod
ReflectionClass::getModifiers
ReflectionClass
PHP Manual